Skip to content

Aritma IAM API (0)

An API for interacting with the identity and access management system of Aritma.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/iam/openapi/iam-openapi
IAM API (0)
https://api.dev.aritma.io/core/iam

Actions

Actions related to IAM actions

Operations

Client

Actions related to clients in Aritma ID

Operations

Returns a paginated list of available clients, optionally filtered by a query

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Query
searchTextstring

Search query

pageinteger(int32)

Requested page

pageSizeinteger(int32)

Requested pagesize

No request payload

Responses

OK

Body
itemsArray of objects(ClientDto)required
items[].​clientIdstringrequired

Client ID

items[].​namestringrequired

Client name

items[].​descriptionstringrequired

Client description

metadataobjectrequired
metadata.​pageinteger(int32)required
metadata.​pageSizeinteger(int32)required
metadata.​totalCountinteger(int32)required
linksobjectrequired
links.​firststring or null(uri)
links.​previousstring or null(uri)
links.​nextstring or null(uri)
links.​laststring or null(uri)
Response
No response example

Creates a client

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
namestringrequired
descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

{ "name": "string", "description": "string", "allowedGrantTypes": [ "string" ], "redirectUris": [ "string" ], "allowedScopes": [ "string" ] }

Responses

OK

Response
No content

Returns a client by clientId

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired
No request payload

Responses

OK

Body
clientIdstringrequired

Client ID

namestringrequired

Client name

descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

Response
No response example

Updates a client

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired
Body
namestringrequired
descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

{ "name": "string", "description": "string", "allowedGrantTypes": [ "string" ], "redirectUris": [ "string" ], "allowedScopes": [ "string" ] }

Responses

OK

Response
No content

Deletes a client by ID

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired
No request payload

Responses

OK

Response
No content

Returns a paginated list of client secrets belonging to a client

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired
Query
pageinteger(int32)

Requested page

pageSizeinteger(int32)

Requested pagesize

No request payload

Responses

OK

Body
itemsArray of objects(ClientSecretDto)required
items[].​idinteger(int32)required
items[].​typestringrequired
items[].​descriptionstringrequired
items[].​expirationstring or null(date-time)
items[].​createdstring(date-time)required
metadataobjectrequired
metadata.​pageinteger(int32)required
metadata.​pageSizeinteger(int32)required
metadata.​totalCountinteger(int32)required
linksobjectrequired
links.​firststring or null(uri)
links.​previousstring or null(uri)
links.​nextstring or null(uri)
links.​laststring or null(uri)
Response
No response example

Creates a new secret for a client

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired
Body
valuestring[ 8 .. 32 ] charactersrequired
descriptionstringrequired
{ "value": "stringst", "description": "string" }

Responses

OK

Response
No content

Deletes a client secret

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Path
clientIdstringrequired

Id of the client

clientSecretIdinteger(int32)required
No request payload

Responses

OK

Response
No content

Domains

Actions related to domains registered for the tenant, and their verification status

Operations

Me

Actions listing information about the currently authenticated user

Operations

Policies

Actions related to IAM policies

Operations

Role

Actions related to Aritma ID roles

Operations

Scim

Actions related to SCIM tokens

Operations

Scope

Actions related to scopes in Aritma ID

Operations

SSO

Actions common for all SSO providers

Operations

SSO - Azure AD (Entra ID)

Actions relating to AzureAd as an SSO provider

Operations

SSO - Custom Providers

Actions relating to custom SSO providers

Operations

SSO - Google

Actions relating to Google as an SSO provider

Operations

SSO - Signicat

Actions relating to Signicat as an SSO provider

Operations

Subjects

Actions related to IAM subjects

Operations

User

Actions related to Aritma ID users

Operations